/* XBlast 2.5.3 level */
/* Level edited with BlastEd - (C)1998-1999 by Yves Bresson */
/* email: yves.bresson@epfl.ch                              */
/* website: http://in3www.epfl.ch/~ybresson/xblast          */

static BMLevelData DoomLike =
{
  /* BMLevel */
  {
    "Doom Like",
    "J. Amilhastre ",
    "xblast.useDoomLike",
    "Be the doom master",
    GM_Random | GM_23456_Player | GM_All,
    (void *) &DoomLike,
    NULL,
  },
  /* BMShrinkData */
  {
    shrink_quad,
    SCRAMBLE_VOID,
    SCRAMBLE_VOID,
  },
  /* BMFuncData */
  {
    special_init_void,
    special_game_void,
    special_extra_choice,
    special_key_choice,
  },
  /* BMPlayerData */
  {
    3, 2,
    {
      {3,6},
      {3,7},
      {3,8},
      {9,6},
      {9,7},
      {9,8},
    },
    PM_Same, 0,
    Healthy, Healthy, IF_Kick,
  },
  /* BMBombData */
  {
    bomb_click_none, bomb_click_none, bomb_click_none,
    GoStop, FUSEnormal,
    BMTnormal, BMTnormal, BMTnormal,
  },
  /* BMGraphicsData */
  {
    {
      { "rock_floor", "Black", "SandyBrown", "Black" },
      { "rock_floor_S", "Black", "SandyBrown", "Black" },
      { "weight", "Black", "Azure", "Gold" },
      { "weight_R", "Black", "LightSteelBlue", "Black" },
      { "bricks", "Black", "OliveDrab", "Black" },
      { "brick_O", "Black", "OliveDrab", "Black" },
      EXTRA_BOMB,
      EXTRA_RANGE,
      EXTRA_TRAP,
      EXTRA_CHOICE,
      { "score_floor", "RoyalBlue", "RoyalBlue", "RoyalBlue" },
    },
  },
  /* BMMapData */
  {
    ShadowFull, DEsingle,
    { 10, 25, 30, 0, 35 },
    {
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
      { B,_,_,_,_,_,R,_,_,_,_,_,B, },
      { B,_,B,B,r,_,_,_,r,B,B,_,B, },
      { B,_,B,r,B,B,X,B,B,r,B,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,_,_,B,B,q,B,B,_,_,_,B, },
      { B,R,_,_,X,X,X,X,X,_,_,R,B, },
      { B,R,_,_,B,B,q,B,B,_,_,R,B, },
      { B,R,_,_,X,X,X,X,X,_,_,R,B, },
      { B,_,_,_,B,B,q,B,B,_,_,_,B, },
      { B,_,_,X,X,X,X,X,X,X,_,_,B, },
      { B,_,B,r,B,B,X,B,B,r,B,_,B, },
      { B,_,B,B,r,_,_,_,r,B,B,_,B, },
      { B,_,_,_,_,_,R,_,_,_,_,_,B, },
      { B,B,B,B,B,B,B,B,B,B,B,B,B, },
    },
  },
};

/* end of file */
